# plot data difference in mpiexm
# mpiexm contains multiple atm(echam6) and one ocn(mpiom) coupling

Title: AMOC
Description:  |
    Yearly amoc stream function
COMMENT: Yearly amoc stream function
COMPONENT:  mpiom
MODELN: 0
MONTHS: 0
    # for yearly data, it useless
VARI: atlantic_moc
VARIABLE: VARI
VN: AMOC
RGRES:  |
    ;; Coordinates
    res@trYReverse = True
    res@gsnYAxisIrregular2Linear = True ; converts irreg depth to linear 
    res@trXMinF = -30.
    res@trYMaxF = 5000.
    res@trYMinF =    0.
DIFRES:  | ## for dif plot
    RGRES
    res@cnLinesOn = False
    res@cnFillOn = True
    res@cnFillMode = "CellFill"
    res@lbOrientation = "Vertical"
    ;res@cnFillPalette = "testcmap"
    res@cnLevelSelectionMode = "ExplicitLevels"
    res@cnLevels = fspan(-0.6,.6,13)

    ;; convert to from stream function to Sv
    vardif = vardif* 1.e-9
    vardif@units = "Sv"
CTLRES:  |
    RGRES
    res@cnLinesOn = False
    res@cnFillOn = True
    res@cnFillMode = "CellFill"
    res@lbOrientation = "Vertical"
    ;res@cnFillPalette = "precip_11lev"
    res@cnLevelSelectionMode = "ExplicitLevels"
    res@cnLevels = fspan(-10.,25.,15)

    ;; convert to from stream function to Sv
    ;; I do not know it right or wrong...
    varens = varens* 1.e-9
    varens@units = "Sv"


CTN: f08_1AGCM
    ## proxy of CCASE 'control case'
CCASE: CTN
CONTROLDIR: /projects/NS9207K/pgchiu/CCASE
YBEC: 1101,1250
CONTROLYEARBE: YBEC
NYC: 150

CAD: f08_5AGCMs_NASPG_sample
CND: CTL2
YBED: 1101,1250
NYD: 150

CASEDIR: /projects/NS9207K/pgchiu/CASE
    ## CASE define later
CAA: f08_5AGCMs_NASPG_average
CNA: IE-average
YBEA: 1101,1250
NYA: 150 
CAS: f09_5AGCMs_NASPG_sample
CNS: IE-sample
YBES: 1101,1250
NYS: 150


Scripts:
-  
    plotScript: mpiexm/plot_mpiexm_climatology_ZL.ncl
    CASE: CTN
    MODELN: 0
    YEARBE: YBEC
    TITLE: "VN mean CTL (model year: NYC)"
    FIGFILENAME: cli_VARI_CTN
    PLOTRES: CTLRES
-  
    plotScript: mpiexm/plot_mpiexm_climatology_ZL.ncl
    CASE: CAD
    MODELN: 0
    YEARBE: YBED
    TITLE: "VN mean CND (model year: NYD)"
    FIGFILENAME: cli_VARI_CAD
    PLOTRES: CTLRES
-  
    plotScript: mpiexm/plot_mpiexm_climatology_ZL.ncl
    CASE: CAA
    MODELN: 0
    YEARBE: YBEA
    TITLE: "VN mean CNA (model year: NYA)"
    FIGFILENAME: cli_VARI_average
    PLOTRES: CTLRES
-  
    plotScript: mpiexm/plot_mpiexm_climatology_ZL.ncl
    CASE: CAS
    MODELN: 0
    YEARBE: YBES
    TITLE: "VN mean CNS (model year: NYS)"
    FIGFILENAME: cli_VARI_sample
    PLOTRES: CTLRES
-  
    plotScript: mpiexm/plot_mpiexm_difference_ZL.ncl
    CASE: CAD
    YEARBE: YBED
    TITLE: "VN dif. CND-CTL (model year: IE=NYD, CTL=NYC)"
    FIGFILENAME: dif_VARI_CAD
    PLOTRES: DIFRES
-  
    plotScript: mpiexm/plot_mpiexm_difference_ZL.ncl
    CASE: CAA
    YEARBE: YBEA
    TITLE: "VN dif. CNA-CTL (model year: IE=NYA, CTL=NYC)"
    FIGFILENAME: dif_VARI_CAA
    PLOTRES: DIFRES
-  
    plotScript: mpiexm/plot_mpiexm_difference_ZL.ncl
    CASE: CAS
    YEARBE: YBES
    TITLE: "VN dif. CNS-CTL (model year: IE=NYS, CTL=NYC)"
    FIGFILENAME: dif_VARI_CAS
    PLOTRES: DIFRES


-  
    plotScript: mk_html_page.sh
    FIGFILES: 
        cli_VARI_CTN
        cli_VARI_CAD
        cli_VARI_sample
        cli_VARI_average
        dif_VARI_CAD
        dif_VARI_CAS
        dif_VARI_CAA
        
    COLUMN: figures CTL CND CNS CNA 'tr' Cli. 4 Diff - 3

